+Fri Feb 13 14:35:39 1998 Ian Lance Taylor <ian@cygnus.com>
+
+ * automake.in (handle_texinfo): Correct condition for whether
+ texinfo.tex is required. [Test texinfo5.test]
+
Fri Feb 13 00:28:53 1998 Tom Tromey <tromey@cygnus.com>
* Released 1.2e.
# when in Cygnus mode; instead we defined TEXINFO_TEX explicitly
# up above.
&require_file_with_line ('info_TEXINFOS', $FOREIGN, 'texinfo.tex')
- if $need_texi_file || ! defined $options{'no-texinfo.tex'};
+ if $need_texi_file && ! defined $options{'no-texinfo.tex'};
}
# Handle any man pages.
Fri Feb 13 00:36:38 1998 Tom Tromey <tromey@cygnus.com>
+ * texinfo5.test (info_TEXINFOS): New file.
+
* condman.test: New file.
* Makefile.am (distclean-local): Ignore rm return value.
version2.test conf2.test cond.test cond2.test xsource.test \
libobj6.test depend3.test output5.test ammissing.test install.test \
libobj7.test objc.test cond3.test cxxcpp.test aclocal.test alpha.test \
-whoami.test unused.test condman.test
+whoami.test unused.test condman.test texinfo5.test
EXTRA_DIST = defs $(TESTS)
version2.test conf2.test cond.test cond2.test xsource.test \
libobj6.test depend3.test output5.test ammissing.test install.test \
libobj7.test objc.test cond3.test cxxcpp.test aclocal.test alpha.test \
-whoami.test unused.test condman.test
+whoami.test unused.test condman.test texinfo5.test
EXTRA_DIST = defs $(TESTS)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
--- /dev/null
+#! /bin/sh
+
+# Test to make sure that texinfo.tex is not required by --cygnus.
+# Report from Ian Taylor.
+. $srcdir/defs || exit 1
+
+cat >> configure.in << 'END'
+AM_MAINTAINER_MODE
+AM_EXEEXT
+END
+
+cat > Makefile.am << 'END'
+info_TEXINFOS = ian.texi
+END
+
+echo '@setfilename ian.info' > ian.texi
+
+$AUTOMAKE --cygnus